Page MenuHomePhabricator

Handle upload errors caused by network connection issues better in the upload dialog
Closed, ResolvedPublic

Description

The upload dialog should handle upload errors caused by network connection issues better. Example from IRC:

<BrownFig21> Anybody know what this error means when attempting to upload an img? http://puu.sh/ogVW1/f226fc20a3.png

There's some error code for timeouts as well, which I don't think we handle either.

Event Timeline

matmarex created this task.Apr 13 2016, 6:13 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 13 2016, 6:13 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 1 2016, 10:34 PM
greg removed a subscriber: greg.Aug 2 2016, 12:05 AM

I am being able to reproduce this bug even though my network connection seems fine.

MarkTraceur triaged this task as Normal priority.Dec 5 2016, 5:23 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.
MarkTraceur moved this task from Triaged to Next up on the Multimedia board.Jun 5 2017, 3:18 PM

Change 361885 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/core@master] Perform chunked uploads from upload dialog

https://gerrit.wikimedia.org/r/361885

https://gerrit.wikimedia.org/r/#/c/339371/ & https://gerrit.wikimedia.org/r/#/c/361884/ add chunked upload support to mw.api.
https://gerrit.wikimedia.org/r/#/c/361885/ will let upload dialog use these.

I expect chunked uploading to be more resilient to these issues: instead of 1 huge chunk that could fail anytime, it'll split it up into multiple chunks, each of which will be re-attempted (once, by default) should it fail.

Next up: look into that horrible error message.

Change 362196 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/core@master] Improve error messages for (known unknown) network errors

https://gerrit.wikimedia.org/r/362196

matthiasmullie lowered the priority of this task from Normal to Low.
matthiasmullie moved this task from Next up to Needs code review on the Multimedia board.

Change 362196 merged by Matthias Mullie:
[mediawiki/core@master] Improve error messages for (known unknown) network errors

https://gerrit.wikimedia.org/r/362196

Change 361885 merged by jenkins-bot:
[mediawiki/core@master] Perform chunked uploads from upload dialog

https://gerrit.wikimedia.org/r/361885

matmarex closed this task as Resolved.Jul 5 2017, 10:01 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 5 2017, 10:01 PM